# getTaskDependencyFromProjectDependency

abstract fun getTaskDependencyFromProjectDependency(useDependedOn: Boolean, taskName: String): TaskDependency

Returns a TaskDependency object containing dependencies on all tasks with the specified name from project dependencies related to this configuration or one of its super configurations. These other projects may be projects this configuration depends on or projects with a similarly named configuration that depend on this one based on the useDependOn argument.

#### Return

the populated TaskDependency object

#### Parameters

useDependedOn

if true, add tasks from project dependencies in this configuration, otherwise use projects from configurations with the same name that depend on this one.

taskName

name of task to depend on